package co.yixiang.yshop.module.product.convert.teamworkinfo;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import co.yixiang.yshop.module.product.controller.admin.teamworkinfo.vo.*;
import co.yixiang.yshop.module.product.dal.dataobject.teamworkinfo.TeamworkInfoDO;

/**
 * 拼团信息 Convert
 *
 * @author moxiangrong
 */
@Mapper
public interface TeamworkInfoConvert {

    TeamworkInfoConvert INSTANCE = Mappers.getMapper(TeamworkInfoConvert.class);

    TeamworkInfoDO convert(TeamworkInfoCreateReqVO bean);

    TeamworkInfoDO convert(TeamworkInfoUpdateReqVO bean);

    TeamworkInfoRespVO convert(TeamworkInfoDO bean);

    List<TeamworkInfoRespVO> convertList(List<TeamworkInfoDO> list);

    PageResult<TeamworkInfoRespVO> convertPage(PageResult<TeamworkInfoDO> page);

}
